package categoryrepository

import (
	"legalgo-BE-go/database"
	categorydomain "legalgo-BE-go/internal/domain/category"
)

type accessor struct {
	db *database.DB
}

type Category interface {
	GetAllModel() ([]categorydomain.Category, error)
	GetByIDs([]string) ([]categorydomain.Category, error)
	CreateModel(categorydomain.CategoryReq) error
	Update(categorydomain.Category) error
	Delete(string) error
}

func New(
	db *database.DB,
) Category {
	return &accessor{db}
}
